package com.ruoyi.system.controller;

import com.ruoyi.system.mapper.SalaryMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
public class ConfigSaveController {

    @Autowired
    SalaryMapper salaryMapper;


    @PostMapping("/test/save")
    public void save() {
        Map<String,Object> map = new HashMap<>();
        /*map.put("org","项目,部门名称");
        map.put("personCount","人数");
        map.put("salary","应付工资");
        map.put("medicalSubsidy","应付工资2(医疗补贴)");
        map.put("sumSalary","应付工资合计,工资合计");
        map.put("oldInsurance","基本养老保险");
        map.put("annuity","年金");
        map.put("singleSupplyMedicalInsurance","");
        map.put("medicalInsurance","基本医疗保险");
        map.put("supplyMedicalInsurance","补充医疗保险");
        map.put("birthInsurance","生育保险");
        map.put("unemploymentInsurance","失业保险");
        map.put("injuryInsurance","工伤保险");
        map.put("companyHouseFund","企业住房公积金");
        map.put("houseFund","住房公积金");
        map.put("laborUnionDues","工会经费");
        map.put("edufFees","提取职教费,培训费");
        map.put("oneChild","一孩,一孩保健");
        map.put("lunch","班中餐");
        map.put("longAccountInsurance","长户险");
        map.put("honorMoney","荣誉金");
        map.put("warmSubsidy","取暖补贴");
        map.put("heatPreventSubsidy","防暑降温,降温防暑费");*/
        map.put("classificationName","用电单位");
        map.put("powerTotal","电量（kwh）");
        map.put("powerTip","");
        map.put("powerPeak","");
        map.put("powerFlat","");
        map.put("powerValley","");
        map.put("electricityTotal","含税电费总额(元)");
        map.put("electricityTip","");
        map.put("electricityPeak","");
        map.put("electricityFlat","");
        map.put("electricityValley","");
        map.put("electricityPriceTip","");
        map.put("electricityPricePeak","");
        map.put("electricityPriceFlat","");
        map.put("electricityPriceValley","");
        map.put("levelOneClassification","");
        map.put("levelTwoClassification","");
        map.put("levelThreeClassification","");
        map.put("basicElectricityTariff","");

        map.forEach((k,v)-> salaryMapper.insertMap(k,v));

    }
    @PostMapping("/test/source")
    public void source() {
        Map<String,Object> map = new HashMap<>();
        map.put("其他应收款-内部往来(销)","其他应收款");
        map.put("其他应收款-内部往来(供)","其他应收款");
        map.put("其他业务支出-转供电","其他业务成本");
        map.put("应付职工薪酬-福利（宿舍）","制造费用-原煤");
        map.put("应付职工薪酬-福利（食堂）","福利费");
        map.put("销售费用-电力-电力","销售费用");
        map.put("管理费用--电费","管理费用");
        map.put("生产成本-洗煤-电力","基本生产-洗煤");
        map.put("制造费用-原煤-电力","制造费用-原煤");
        map.put("生产成本-原煤-电力","基本生产-原煤");
        map.forEach((k,v)-> salaryMapper.insertSourceMap(k,v));

    }
}
