package com.ruoyi.system.mapper;

import com.ruoyi.system.model.salary.ActClassModel;
import com.ruoyi.system.model.salary.ConfigModel;
import com.ruoyi.system.model.salary.SalaryExcelModel;
import com.ruoyi.system.model.salary.SalaryExpenseSourceModel;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

import java.util.List;
import java.util.Map;
import java.util.Objects;

public interface SalaryMapper {

    void save(@Param("salaryExcelModelList") List<SalaryExcelModel> salaryExcelModelList);

    void delete(@Param("salaryDate") String salaryDate, @Param("code") String code);

    List<SalaryExcelModel> querySalarySheet(@Param("salaryDate") String salaryDate, @Param("code") String code);

    void updateEmpty(@Param("empty") String empty, @Param("salaryDate") String salaryDate, @Param("code") String code);

    List<SalaryExcelModel> queryInsuranceSheet(@Param("salaryDate") String salaryDate, @Param("code") String code);

    void updateInsurance(@Param("v") SalaryExcelModel v);

    List<ActClassModel>  getBySourceDhtClass(@Param("sskId")Integer sskId);

    List<SalaryExpenseSourceModel> getSources(@Param("mineCode") String mineCode);

    int exist(@Param("mineCode") String mineCode,@Param("salaryDate") String salaryDate);

    List<String> selectByDateAndMineCode(@Param("salaryDate") String salaryDate, @Param("mineCode") String mineCode);

    void updateByDateAndProject(SalaryExcelModel salaryExcelModel);

    void insertMap(@Param("k") String k, @Param("v") Object v);

    List<ConfigModel> getConfig();

    void insertSourceMap(@Param("k") String k, @Param("v") Object v);
}
